Get all appointments
https://api.propexo.com/v1/appointments/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID of the event from the integration vendor
The external ID of the property from the integration vendor
The external ID of the type from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the lead
The Propexo unique identifier for the applicant
The Propexo unique identifier for the resident
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the event
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| getProspects |
| getLeases |
| getLease |
550019The external ID of the property from the integration vendor
| Method |
|---|
| getProspects |
| getLeases |
| getLease |
481920The external ID of the leasing agent from the integration vendor
This field will always be null for PROPERTYWARE
nullThe external ID of the type from the integration vendor
This field will always be null for PROPERTYWARE
nullThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for PROPERTYWARE
nullThe name of the event
| Method |
|---|
| getProspects |
| getLeases |
| getLease |
Phone callThe datetime that the event occurred
| Method |
|---|
| getProspects |
| getLeases |
| getLease |
2025-02-20T00:00:00.000ZThe datetime that the event appointment occurred
This field will always be null for PROPERTYWARE
nullThe type of event
This field will always be null for PROPERTYWARE
nullNotes associated with the event
| Method |
|---|
| getProspects |
| getLeases |
| getLease |
Called to schedule a tourThe name of the agent associated with the event
This field will always be null for PROPERTYWARE
nullReasons that the event occurred
This field will always be null for PROPERTYWARE
nullThe lead IDs associated with the event
This field is not currently hydrated for PROPERTYWARE
The applicant IDs associated with the event
This field is not currently hydrated for PROPERTYWARE
The resident IDs associated with the event
This field is not currently hydrated for PROPERTYWARE
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
PROPERTYWAREAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTPROPERTYWAREThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/appointments/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "550019",
"x_property_id": "481920",
"x_leasing_agent_id": null,
"x_type_id": null,
"x_location_id": null,
"event_name": "Phone call",
"event_datetime": "2025-02-20T00:00:00.000Z",
"appointment_datetime": null,
"type_raw": null,
"notes": "Called to schedule a tour",
"agent_name": null,
"reasons_for_event": null,
"associated_lead_ids": "Unknown Type: array,null",
"associated_applicant_ids": "Unknown Type: array,null",
"associated_resident_ids": "Unknown Type: array,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}